/// <reference types="react" />
import { MonthlyAvailabilityCalendarProps } from './types';
export declare const MonthlyAvailabilityCalendar: ({ availabilities, onAvailabilitySelected, slotLengthMs, slotStepMs, date, style, overrides, }: MonthlyAvailabilityCalendarProps & {
    overrides?: {
        ToolBar: import("./overrides").OverridableComponentProps<import("./types").ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides").OverridableComponentProps<{}, {}, {}>;
        DayCells: import("./overrides").OverridableComponentProps<import("./types").DayCellsProps, {}, {}>;
        DayCell: import("./overrides").OverridableComponentProps<import("./types").DayCellProps, {}, {
            isSelected: boolean;
            isToday: boolean;
            hasAvail: boolean;
        }>;
        Availabilities: import("./overrides").OverridableComponentProps<import("./types").AvailSlotsProps, {}, {}>;
        AvailSlot: import("./overrides").OverridableComponentProps<import("./types").AvailSlotProps, {}, {}>;
    } | undefined;
}) => JSX.Element;
